Package org.opensaml.soap.wsaddressing

# Interface WSAddressingObject

All Superinterfaces:
  `XMLObject`

All Known Subinterfaces:
  `Action`, `Address`, `AttributedQName`, `AttributedUnsignedLong`, `AttributedURI`, `EndpointReference`, `EndpointReferenceType`, `FaultTo`, `From`, `Issuer`, `MessageID`, `Metadata`, `ProblemAction`, `ProblemHeaderQName`, `ProblemIRI`, `ReferenceParameters`, `RelatesTo`, `ReplyTo`, `RetryAfter`, `SoapAction`, `To`

All Known Implementing Classes:
  `AbstractWSAddressingObject`, `ActionImpl`, `AddressImpl`, `AttributedQNameImpl`, `AttributedUnsignedLongImpl`, `AttributedURIImpl`, `EndpointReferenceImpl`, `EndpointReferenceTypeImpl`, `FaultToImpl`, `FromImpl`, `IssuerImpl`, `MessageIDImpl`, `MetadataImpl`, `ProblemActionImpl`, `ProblemHeaderQNameImpl`, `ProblemIRIImpl`, `ReferenceParametersImpl`, `RelatesToImpl`, `ReplyToImpl`, `RetryAfterImpl`, `SoapActionImpl`, `ToImpl`

public interface WSAddressingObject extends XMLObject
Abstract WS-Addressing object interface.

## Method Summary

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`